Package org.italiangrid.voms.store

# Interface UpdatingVOMSTrustStore

All Superinterfaces:
  `Updateable`, `VOMSTrustStore`

All Known Implementing Classes:
  `DefaultUpdatingVOMSTrustStore`

public interface UpdatingVOMSTrustStore extends VOMSTrustStore, Updateable
A VOMS trust store that can be periodically refreshed.

Author:
  Andrea Ceccanti

## Method Summary

### Methods inherited from interface org.italiangrid.voms.store.Updateable

`cancel, getUpdateFrequency, update`

### Methods inherited from interface org.italiangrid.voms.store.VOMSTrustStore

`getAACertificateBySubject, getAllLSCInfo, getLocalAACertificates, getLocalTrustedDirectories, getLSC, loadTrustInformation, setStatusListener`